## youtube-dl 2017.01.14

=== Makefile ===
all: youtube-dl README.md CONTRIBUTING.md README.txt youtube-dl.1 youtube-dl.bash-completion youtube-dl.zsh youtube-dl.fish supportedsites

clean:
	rm -rf youtube-dl.1.temp.md youtube-dl.1 youtube-dl.bash-completion README.txt MANIFEST build/ dist/ .coverage cover/ youtube-dl.tar.gz youtube-dl.zsh youtube-dl.fish youtube_dl/extractor/lazy_extractors.py *.dump *.part* *.info.json *.mp4 *.m4a *.flv *.mp3 *.avi *.mkv *.webm *.3gp *.wav *.ape *.swf *.jpg *.png CONTRIBUTING.md.tmp ISSUE_TEMPLATE.md.tmp youtube-dl youtube-dl.exe
	find . -name "*.pyc" -delete
	find . -name "*.class" -delete

PREFIX ?= /usr/local
BINDIR ?= $(PREFIX)/bin
MANDIR ?= $(PREFIX)/man
SHAREDIR ?= $(PREFIX)/share
PYTHON ?= /usr/bin/env python

# set SYSCONFDIR to /etc if PREFIX=/usr or PREFIX=/usr/local
SYSCONFDIR = $(shell if [ $(PREFIX) = /usr -o $(PREFIX) = /usr/local ]; then echo /etc; else echo $(PREFIX)/etc; fi)

install: youtube-dl youtube-dl.1 youtube-dl.bash-completion youtube-dl.zsh youtube-dl.fish
	install -d $(DESTDIR)$(BINDIR)
	install -m 755 youtube-dl $(DESTDIR)$(BINDIR)
	install -d $(DESTDIR)$(MANDIR)/man1
	install -m 644 youtube-dl.1 $(DESTDIR)$(MANDIR)/man1
	install -d $(DESTDIR)$(SYSCONFDIR)/bash_completion.d
	install -m 644 youtube-dl.bash-completion $(DESTDIR)$(SYSCONFDIR)/bash_completion.d/youtube-dl
	install -d $(DESTDIR)$(SHAREDIR)/zsh/site-functions
	install -m 644 youtube-dl.zsh $(DESTDIR)$(SHAREDIR)/zsh/site-functions/_youtube-dl
	install -d $(DESTDIR)$(SYSCONFDIR)/fish/completions
	install -m 644 youtube-dl.fish $(DESTDIR)$(SYSCONFDIR)/fish/completions/youtube-dl.fish

codetest:
	flake8 .

test:
	#nosetests --with-coverage --cover-package=youtube_dl --cover-html --verbose --processes 4 test
	nosetests --verbose test
	$(MAKE) codetest

ot: offlinetest

offlinetest: codetest
	$(PYTHON) -m nose --verbose test --exclude test_download.py --exclude test_age_restriction.py --exclude test_subtitles.py --exclude test_write_annotations.py --exclude test_youtube_lists.py --exclude test_iqiyi_sdk_interpreter.py --exclude test_socks.py

tar: youtube-dl.tar.gz

.PHONY: all clean install test tar bash-completion pypi-files zsh-completion fish-completion ot offlinetest codetest supportedsites

pypi-files: youtube-dl.bash-completion README.txt youtube-dl.1 youtube-dl.fish

youtube-dl: youtube_dl/*.py youtube_dl/*/*.py
	zip --quiet youtube-dl youtube_dl/*.py youtube_dl/*/*.py
	zip --quiet --junk-paths youtube-dl youtube_dl/__main__.py
	echo '#!$(PYTHON)' > youtube-dl
	cat youtube-dl.zip >> youtube-dl
	rm youtube-dl.zip
	chmod a+x youtube-dl

README.md: youtube_dl/*.py youtube_dl/*/*.py
	COLUMNS=80 $(PYTHON) youtube_dl/__main__.py --help | $(PYTHON) devscripts/make_readme.py

CONTRIBUTING.md: README.md
	$(PYTHON) devscripts/make_contributing.py README.md CONTRIBUTING.md

.github/ISSUE_TEMPLATE.md: devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl.md  youtube_dl/version.py
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl.md .github/ISSUE_TEMPLATE.md

supportedsites:
	$(PYTHON) devscripts/make_supportedsites.py docs/supportedsites.md

README.txt: README.md
	pandoc -f markdown -t plain README.md -o README.txt

youtube-dl.1: README.md
	$(PYTHON) devscripts/prepare_manpage.py youtube-dl.1.temp.md
	pandoc -s -f markdown -t man youtube-dl.1.temp.md -o youtube-dl.1
	rm -f youtube-dl.1.temp.md

youtube-dl.bash-completion: youtube_dl/*.py youtube_dl/*/*.py devscripts/bash-completion.in
	$(PYTHON) devscripts/bash-completion.py

bash-completion: youtube-dl.bash-completion

youtube-dl.zsh: youtube_dl/*.py youtube_dl/*/*.py devscripts/zsh-completion.in
	$(PYTHON) devscripts/zsh-completion.py

zsh-completion: youtube-dl.zsh

youtube-dl.fish: youtube_dl/*.py youtube_dl/*/*.py devscripts/fish-completion.in
	$(PYTHON) devscripts/fish-completion.py

fish-completion: youtube-dl.fish

lazy-extractors: youtube_dl/extractor/lazy_extractors.py

_EXTRACTOR_FILES = $(shell find youtube_dl/extractor -iname '*.py' -and -not -iname 'lazy_extractors.py')
youtube_dl/extractor/lazy_extractors.py: devscripts/make_lazy_extractors.py devscripts/lazy_load_template.py $(_EXTRACTOR_FILES)
	$(PYTHON) devscripts/make_lazy_extractors.py $@

youtube-dl.tar.gz: youtube-dl README.md README.txt youtube-dl.1 youtube-dl.bash-completion youtube-dl.zsh youtube-dl.fish ChangeLog
	@tar -czf youtube-dl.tar.gz --transform "s|^|youtube-dl/|" --owner 0 --group 0 \
		--exclude '*.DS_Store' \
		--exclude '*.kate-swp' \
		--exclude '*.pyc' \
		--exclude '*.pyo' \
		--exclude '*~' \
		--exclude '__pycache' \
		--exclude '.git' \
		--exclude 'testdata' \
		--exclude 'docs/_build' \
		-- \
		bin devscripts test youtube_dl docs \
		ChangeLog LICENSE README.md README.txt \
		Makefile MANIFEST.in youtube-dl.1 youtube-dl.bash-completion \
		youtube-dl.zsh youtube-dl.fish setup.py \
		youtube-dl

=== debian/changelog ===
youtube-dl (1:2017.01.14-1mx15+1) mx; urgency=medium

  * New release repackaged for MX Linux.

 -- Mike Purtell <mandbx@sbcglobal.net>  Sun, 15 Jan 2017 08:26:30 -0800

youtube-dl (1:2017.01.14-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sat, 14 Jan 2017 10:53:19 +0100

youtube-dl (1:2017.01.10-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Tue, 10 Jan 2017 17:47:00 +0100

youtube-dl (1:2017.01.08-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 08 Jan 2017 19:49:38 +0100

youtube-dl (1:2017.01.05-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sat, 07 Jan 2017 12:42:14 +0100

youtube-dl (1:2017.01.02-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Mon, 02 Jan 2017 19:14:08 +0100

youtube-dl (1:2016.12.31-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sat, 31 Dec 2016 19:11:55 +0100

youtube-dl (1:2016.12.22-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Thu, 22 Dec 2016 18:11:53 +0100

youtube-dl (1:2016.12.20-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Tue, 20 Dec 2016 18:15:38 +0100

youtube-dl (1:2016.12.18-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 18 Dec 2016 17:01:54 +0100

youtube-dl (1:2016.12.15-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Thu, 15 Dec 2016 17:46:26 +0100

youtube-dl (1:2016.12.12-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 11 Dec 2016 20:01:44 +0100

youtube-dl (1:2016.12.09-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Thu, 08 Dec 2016 22:22:47 +0100

youtube-dl (1:2016.12.01-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Wed, 30 Nov 2016 18:47:58 +0100

youtube-dl (1:2016.11.27-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 27 Nov 2016 16:00:55 +0100

youtube-dl (1:2016.11.22-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Tue, 22 Nov 2016 18:11:55 +0100

youtube-dl (1:2016.11.18-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Thu, 17 Nov 2016 18:47:43 +0100

youtube-dl (1:2016.11.14.1-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 13 Nov 2016 21:08:32 +0100

youtube-dl (1:2016.11.08.1-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Wed, 09 Nov 2016 20:14:38 +0100

youtube-dl (1:2016.11.04-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 06 Nov 2016 04:33:57 +0100

youtube-dl (1:2016.10.12-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Wed, 12 Oct 2016 22:07:42 +0200

youtube-dl (1:2016.10.07-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Fri, 07 Oct 2016 17:54:39 +0200

youtube-dl (1:2016.10.02-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 02 Oct 2016 20:41:28 +0200

youtube-dl (1:2016.09.27-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Wed, 28 Sep 2016 18:49:27 +0200

youtube-dl (1:2016.09.24-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Fri, 23 Sep 2016 22:14:37 +0200

youtube-dl (1:2016.09.19-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 18 Sep 2016 22:21:24 +0200

youtube-dl (1:2016.09.18-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 18 Sep 2016 19:57:33 +0200

youtube-dl (1:2016.09.15-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Thu, 15 Sep 2016 20:52:34 +0200

youtube-dl (1:2016.09.11.1-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 11 Sep 2016 20:57:47 +0200

youtube-dl (1:2016.09.08-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Thu, 08 Sep 2016 20:03:13 +0200

youtube-dl (1:2016.09.04.1-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 04 Sep 2016 16:13:51 +0200

youtube-dl (1:2016.09.03-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Fri, 02 Sep 2016 23:11:28 +0200

youtube-dl (1:2016.08.31-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Wed, 31 Aug 2016 19:10:29 +0200

youtube-dl (1:2016.08.28-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 28 Aug 2016 12:58:36 +0200

youtube-dl (1:2016.08.24.1-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Wed, 24 Aug 2016 17:54:01 +0200

youtube-dl (1:2016.08.13-1~getdeb1) xenial; urgency=medium

  * New upstream version



=== debian/control ===
Source: youtube-dl
Section: web
Priority: optional
Maintainer: Mike Purtell (mmikeinsantarosa) <maintainer@mepiscommunity.org>
XSBC-Original-Maintainer: GetDeb Package Ninjas <package.ninjas@getdeb.net>
Build-Depends: debhelper (>= 9),
               python-pkg-resources
Build-Depends-Indep: python
X-Python-Version: >= 2.6
Standards-Version: 3.9.7
Homepage: http://rg3.github.com/youtube-dl/

Package: youtube-dl
Architecture: all
Depends: python-pkg-resources,
         ${misc:Depends},
         ${python:Depends}
Recommends: aria2 | wget | curl,
            libav-tools | ffmpeg,
            libav-tools | ffmpeg (>= 4:0.6) | ffprobe,
            mplayer2 | mplayer,
            rtmpdump
Description: downloader of videos from YouTube and other sites
 youtube-dl is a small command-line program to download videos from
 YouTube.com and other sites that don't provide direct links to the
 videos served.
 .
 youtube-dl allows the user, among other things, to choose a specific video
 quality to download (if available) or let the program automatically
 determine the best (or worst) quality video to grab. It supports
 downloading entire playlists and all videos from a given user.
 .
 Currently supported sites (or features of sites) are:
 .
 1up.com, 220.ro, 24video, 3sat, 4tube, 56.com, 5min, 8tracks, 9gag,
 abc.net.au, Abc7News, AcademicEarth:Course, AddAnime, AdobeTV, AdultSwim,
 Aftonbladet, AlJazeera, Allocine, AlphaPorno, anitube.se, AnySex, Aparat,
 AppleDailyAnimationNews, AppleDailyRealtimeNews, AppleTrailers,
 archive.org, ARD, ARD:mediathek, arte.tv, arte.tv:+7, arte.tv:concert,
 arte.tv:creative, arte.tv:ddc, arte.tv:embed, arte.tv:future, AtresPlayer,
 ATTTechChannel, audiomack, audiomack:album, Azubu, bambuser,
 bambuser:channel, Bandcamp, Bandcamp:album, bbc.co.uk, Beeg, BehindKink,
 Bet, Bild, BiliBili, blinkx, blip.tv:user, BlipTV, Bloomberg, Bpb, BR,
 Break, Brightcove, BuzzFeed, BYUtv, Canal13cl, canalc2.tv, Canalplus, CBS,
 CBSNews, CeskaTelevize, channel9, Chilloutzone, Cinchcast, Cinemassacre,
 clipfish, cliphunter, Clipsyndicate, Cloudy, Clubic, cmt.com, CNET, CNN,
 CNNArticle, CNNBlogs, CollegeHumor, CollegeRama, ComCarCoff, ComedyCentral,
 ComedyCentralShows, CommonMistakes, CondeNast, Cracked, Criterion,
 Crunchyroll, crunchyroll:playlist, CSpan, CtsNews,
 culturebox.francetvinfo.fr, dailymotion, dailymotion:playlist,
 dailymotion:user, daum.net, DBTV, DctpTv, DeezerPlaylist, defense.gouv.fr,
 Discovery, divxstage, Dotsub, DRBonanza, Dropbox, DrTuber, DRTV, Dump,
 dvtv, EbaumsWorld, EchoMsk, eHow, Einthusan, eitb.tv, EllenTV,
 EllenTV:clips, ElPais, EMPFlix, Engadget, Eporner, EroProfile, Escapist,
 EveryonesMixtape, exfm, ExpoTV, ExtremeTube, facebook, faz.net, fc2,
 fernsehkritik.tv, fernsehkritik.tv:postecke, Firedrive, Firstpost, firsttv,
 Flickr, Folketinget, Foxgay, FoxNews, france2.fr:generation-quoi,
 FranceCulture, FranceInter, francetv, francetvinfo.fr, Freesound,
 freespeech.org, FreeVideo, FunnyOrDie, Gamekings, GameOne,
 gameone:playlist, GameSpot, GameStar, Gametrailers, GDCVault, generic,
 GiantBomb, Giga, Glide, Globo, GodTube, GoldenMoustache, Golem, GorillaVid,
 Goshgay, Grooveshark, Groupon, Hark, HearThisAt, Heise, HellPorno,
 Helsinki, HentaiStigma, HistoricFilms, hitbox, hitbox:live, HornBunny,
 HostingBulk, HotNewHipHop, Howcast, HowStuffWorks, HuffPost, Hypem,
 Iconosquare, ign.com, imdb, imdb:list, Ina, InfoQ, Instagram,
 instagram:user, InternetVideoArchive, IPrima, ivi, ivi:compilation,
 Izlesene, JadoreCettePub, JeuxVideo, Jove, jpopsuki.tv, Jukebox, Kankan,
 Karaoketv, keek, KeezMovies, KhanAcademy, KickStarter, kontrtube, KrasView,
 Ku6, la7.tv, Laola1Tv, lifenews, LiveLeak, livestream, livestream:original,
 livestream:shortener, LnkGo, lrt.lt, lynda, lynda:course, m6, macgamestore,
 mailru, Malemotion, MDR, metacafe, Metacritic, Mgoon, Minhateca,
 MinistryGrid, mitele.es, mixcloud, MLB, MoeVideo, Mofosex, Mojvideo,
 Moniker, mooshare, Morningstar, Motherless, Motorsport, MovieClips,
 Moviezine, movshare, MPORA, MTV, mtviggy.com, mtvservices:embedded,
 MuenchenTV, MusicPlayOn, MusicVault, muzu.tv, MySpace, MySpace:album,
 MySpass, myvideo, MyVidster, n-tv.de, Naver, NBA, NBC, NBCNews, ndr, NDTV,
 NerdCubedFeed, Nerdist, Netzkino, Newgrounds, Newstube, NextMedia,
 NextMediaActionNews, nfb, nfl.com, nhl.com, nhl.com:news,
 nhl.com:videocenter, niconico, NiconicoPlaylist, Noco, Normalboots,
 NosVideo, novamov, Nowness, nowvideo, npo.nl, npo.nl:live, NRK, NRKTV,
 ntv.ru, Nuvid, NYTimes, ocw.mit.edu, OktoberfestTV, on.aol.com, Ooyala,
 OpenFilm, orf:fm4, orf:oe1, orf:tvthek, parliamentlive.tv, Patreon, PBS,
 Phoenix, Photobucket, PlanetaPlay, play.fm, played.to, Playvid,
 plus.google, pluzz.francetv.fr, podomatic, PornHd, PornHub, Pornotube,
 PornoXO, PromptFile, prosiebensat1, Pyvideo, QuickVid, radio.de,
 radiobremen, radiofrance, Rai, RBMARadio, RedTube, Restudy, ReverbNation,
 RingTV, RottenTomatoes, Roxwel, RTBF, Rte, RTL2, RTLnow, rtlxl.nl, RTP,
 RTS, rtve.es:alacarta, rtve.es:live, RUHD, rutube, rutube:channel,
 rutube:embed, rutube:movie, rutube:person, RUTV, Sapo, savefrom.net, SBS,
 SciVee, screen.yahoo:search, Screencast, ScreencastOMatic, ScreenwaveMedia,
 ServingSys, Sexu, SexyKarma, Shared, ShareSix, Sina, Slideshare, Slutload,
 smotri, smotri:broadcast, smotri:community, smotri:user, Snotr, Sockshare,
 Sohu, soundcloud, soundcloud:playlist, soundcloud:set, soundcloud:user,
 Soundgasm, southpark.cc.com, southpark.de, Space, Spankwire, Spiegel,
 Spiegel:Article, Spiegeltv, Spike, Sport5, SportBox, SportDeutschland,
 SRMediathek, stanfordoc, Steam, streamcloud.eu, StreamCZ, StreetVoice,
 SunPorno, SWRMediathek, Syfy, SztvHu, Tagesschau, Tapely, Tass,
 teachertube, teachertube:user:collection, TeachingChannel, Teamcoco,
 TeamFour, TechTalks, techtv.mit.edu, TED, tegenlicht.vpro.nl,
 TeleBruxelles, telecinco.es, TeleMB, TeleTask, TenPlay, TestTube, TestURL,
 TF1, TheOnion, ThePlatform, TheSixtyOne, ThisAV, THVideo, THVideoPlaylist,
 tinypic, tlc.com, tlc.de, TMZ, TNAFlix, tou.tv, Toypics, ToypicsUser,
 TrailerAddict (CURRENTLY BROKEN), Trilulilu, TruTube, Tube8, Tudou, Tumblr,
 TuneIn, Turbo, Tutv, tv.dfb.de, tvigle, tvp.pl, tvp.pl:Series, TVPlay,
 Tweakers, twitch:bookmarks, twitch:chapter, twitch:past_broadcasts,
 twitch:profile, twitch:stream, twitch:video, twitch:vod, Ubu, udemy,
 udemy:course, Unistra, Urort, ustream, ustream:channel, Vbox7, VeeHD, Veoh,
 Vesti, Vevo, VGTV, vh1.com, Vice, Viddler, video.google:search,
 video.mit.edu, VideoBam, VideoDetective, videofy.me, videolectures.net,
 VideoMega, VideoPremium, VideoTt, videoweed, Vidme, Vidzi, vier,
 vier:videos, viki, vimeo, vimeo:album, vimeo:channel, vimeo:group,
 vimeo:likes, vimeo:review, vimeo:user, vimeo:watchlater, Vimple, Vine,
 vine:user, vk.com, vk.com:user-videos, Vodlocker, Vporn, VRT, vube, VuClip,
 vulture.com, Walla, WashingtonPost, wat.tv, WayOfTheMaster, WDR,
 wdr:mobile, WDRMaus, WebOfStories, Weibo, Wimp, Wistia, WorldStarHipHop,
 wrzuta.pl, WSJ, XBef, XboxClips, XHamster, XMinus, XNXX, XTube, XTubeUser,
 Xuite, XVideos, XXXYMovies, Yahoo, YesJapan, Ynet, YouJizz, Youku, YouPorn,
 YourUpload, youtube, youtube:channel, youtube:favorites, youtube:history,
 youtube:playlist, youtube:recommended, youtube:search, youtube:search:date,
 youtube:search_url, youtube:show, youtube:subscriptions,
 youtube:truncated_id, youtube:truncated_url, youtube:user,
 youtube:watch_later, ZDF, ZDFChannel, zingmp3:album, zingmp3:song

=== debian/watch ===
version=3
https://github.com/rg3/youtube-dl/releases \
    (?:.*/)?youtube-dl-([\d\.]+)\.tar\.gz

## youtube-dl 2017.03.26

=== debian/changelog ===
youtube-dl (2017.03.26-1) unstable; urgency=medium

  * New upstream version 2017.03.26.
    + More fixes for downloads from popular sites.

 -- Rogério Brito <rbrito@ime.usp.br>  Thu, 30 Mar 2017 18:18:12 -0300

youtube-dl (2017.03.07-1) unstable; urgency=medium

  * New upstream version 2017.03.07.
    + Fixes downloads from Facebook, among other things.
  * debian/control:
    + Update list of supported sites (and list one per line).

 -- Rogério Brito <rbrito@ime.usp.br>  Thu, 09 Mar 2017 05:45:30 -0300

youtube-dl (2017.02.24.1-1) unstable; urgency=medium

  * New upstream version 2017.02.24.1.
    (Closes: #855538)

 -- Rogério Brito <rbrito@ime.usp.br>  Fri, 24 Feb 2017 21:12:46 -0300

youtube-dl (2017.02.07-1) unstable; urgency=medium

  * New upstream version 2017.02.07
    (Closes: #850893, #851157, #854314, #853120)
  * debian/upstream/signing-key.asc:
    + Add keys for both upstream "releasers". (Addresses: #846495)
  * debian/watch: Simplify the watch file and make it work.
    Thanks to "user" for the warning. (Closes: #846495)
  * debian/control:
    + Update list of supported sites. People keep complaining that it is not
      up-to-date.

 -- Rogério Brito <rbrito@ime.usp.br>  Thu, 09 Feb 2017 05:39:37 -0200

youtube-dl (2016.12.01-1) unstable; urgency=medium

  [ Rogério Brito ]
  * Revert "debian/watch: Add back pgpsigurlmangle."
  * Imported Upstream version 2016.08.17
  * debian/patches: Remove unneeded patches.

  [ Carlos Maddela ]
  * Tidy up cleanup rule and keep lintian happy.
  * Rebuild with only Python 3 support. (Closes: #723990)
  * Update Standards-Version to 3.9.8 (no changes required).
  * Add support for zsh completion. (Closes: #816412)
  * debian/patches:
    + skip_support_file_installation.patch: Install support files via
      debhelper instead of setup.py.
    + fix_libav_compat_outdated.patch: Stop libav compatibility links from
      being considered as genuine. (Closes: #798936)

  [ Rogério Brito ]
  * New upstream version 2016.12.01 (Closes: #753309, #781180, #841156, #840839)
  * debian/watch:
    + Re-enable signature checking.
  * debian/control:
    + Remove mplayer2 from recommends. (Closes: #841187)
    + Rerun wrap-and-sort.

 -- Rogério Brito <rbrito@ime.usp.br>  Thu, 01 Dec 2016 01:18:00 -0200

## youtube-dl 2017.04.11-1~webupd8~trusty0+7.0trisquel1

=== debian/changelog ===
youtube-dl (1:2017.04.11-1~webupd8~trusty0+7.0trisquel1) belenos; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 11 Apr 2017 11:03:31 +0000

youtube-dl (1:2017.04.11-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Tue, 11 Apr 2017 12:24:38 +0300
 

youtube-dl (1:2017.04.09-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Mon, 10 Apr 2017 14:39:32 +0300
 

youtube-dl (1:2017.04.03-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Mon, 03 Apr 2017 12:56:01 +0300
 

youtube-dl (1:2017.03.26-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Tue, 28 Mar 2017 12:19:43 +0300
 

youtube-dl (1:2017.03.22-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Wed, 22 Mar 2017 15:32:43 +0200
 

youtube-dl (1:2017.03.20-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Mon, 20 Mar 2017 11:36:41 +0200
 

youtube-dl (1:2017.03.16-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Fri, 17 Mar 2017 11:07:33 +0200
 

youtube-dl (1:2017.03.15-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Wed, 15 Mar 2017 11:44:13 +0200
 

youtube-dl (1:2017.03.07-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Tue, 07 Mar 2017 12:00:48 +0200
 

youtube-dl (1:2017.03.06-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Mon, 06 Mar 2017 11:37:33 +0200
 

youtube-dl (1:2017.03.02-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Fri, 03 Mar 2017 11:33:01 +0200
 

youtube-dl (1:2017.02.28-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Wed, 01 Mar 2017 11:55:58 +0200
 

youtube-dl (1:2017.02.27-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Tue, 28 Feb 2017 13:00:38 +0200
 

youtube-dl (1:2017.02.24.1-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Mon, 27 Feb 2017 11:28:16 +0200
 

youtube-dl (1:2017.02.24-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Fri, 24 Feb 2017 11:13:06 +0200
 

youtube-dl (1:2017.02.22-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Thu, 23 Feb 2017 11:16:34 +0200
 

youtube-dl (1:2017.02.21-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Wed, 22 Feb 2017 11:12:01 +0200
 

youtube-dl (1:2017.02.16-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Thu, 16 Feb 2017 10:50:14 +0200
 

youtube-dl (1:2017.02.14-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Tue, 14 Feb 2017 12:07:11 +0200
 

youtube-dl (1:2017.02.10-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Fri, 10 Feb 2017 11:03:20 +0200
 

youtube-dl (1:2017.02.07-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Tue, 07 Feb 2017 12:28:34 +0200
 

youtube-dl (1:2017.02.04.1-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Mon, 06 Feb 2017 12:22:52 +0200
 

youtube-dl (1:2017.01.31-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Wed, 01 Feb 2017 13:59:18 +0200
 

youtube-dl (1:2017.01.29-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Mon, 30 Jan 2017 11:20:23 +0200
 

youtube-dl (1:2017.01.25-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Thu, 26 Jan 2017 10:57:40 +0200
 

youtube-dl (1:2017.01.24-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Tue, 24 Jan 2017 12:20:26 +0200
 

youtube-dl (1:2017.01.22-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Mon, 23 Jan 2017 11:20:18 +0200
 

youtube-dl (1:2017.01.18-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Thu, 19 Jan 2017 10:36:07 +0200
 

youtube-dl (1:2017.01.16-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Tue, 17 Jan 2017 15:26:23 +0200
 

youtube-dl (1:2017.01.14-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Mon, 16 Jan 2017 12:17:47 +0200
 

youtube-dl (1:2017.01.10-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 


=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%youtube-dl-$1.tar.gz%,dversionmangle=s/\+dfsg\d*$//,pgpsigurlmangle=s/$/.sig/" \
https://github.com/rg3/youtube-dl/releases \
     (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## youtube-dl 2017.05.18.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 all: youtube-dl README.md CONTRIBUTING.md README.txt youtube-dl.1 youtube-dl.bash-completion youtube-dl.zsh youtube-dl.fish supportedsites
 
 clean:
-	rm -rf youtube-dl.1.temp.md youtube-dl.1 youtube-dl.bash-completion README.txt MANIFEST build/ dist/ .coverage cover/ youtube-dl.tar.gz youtube-dl.zsh youtube-dl.fish youtube_dl/extractor/lazy_extractors.py *.dump *.part* *.info.json *.mp4 *.m4a *.flv *.mp3 *.avi *.mkv *.webm *.3gp *.wav *.ape *.swf *.jpg *.png CONTRIBUTING.md.tmp ISSUE_TEMPLATE.md.tmp youtube-dl youtube-dl.exe
+	rm -rf youtube-dl.1.temp.md youtube-dl.1 youtube-dl.bash-completion README.txt MANIFEST build/ dist/ .coverage cover/ youtube-dl.tar.gz youtube-dl.zsh youtube-dl.fish youtube_dl/extractor/lazy_extractors.py *.dump *.part* *.ytdl *.info.json *.mp4 *.m4a *.flv *.mp3 *.avi *.mkv *.webm *.3gp *.wav *.ape *.swf *.jpg *.png CONTRIBUTING.md.tmp ISSUE_TEMPLATE.md.tmp youtube-dl youtube-dl.exe
 	find . -name "*.pyc" -delete
 	find . -name "*.class" -delete

=== debian/changelog ===
youtube-dl (2017.05.18.1-1) unstable; urgency=medium

  * New upstream version 2017.05.18.1.
    + Fixes downloads from YouTube, among other sites. Closes: #861538.

 -- Rogério Brito <rbrito@ime.usp.br>  Fri, 19 May 2017 03:29:30 -0300

=== debian/control ===
Source: youtube-dl
Section: web
Priority: extra
Maintainer: Rogério Brito <rbrito@ime.usp.br>
Build-Depends:
 bash-completion,
 debhelper (>= 9),
 dh-exec,
 dh-python,
 pandoc,
 python3-pkg-resources,
 zip
Build-Depends-Indep:
 python3
X-Python3-Version: >= 3.2
Standards-Version: 3.9.8
Homepage: https://rg3.github.com/youtube-dl/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/youtube-dl.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/youtube-dl.git

Package: youtube-dl
Architecture: all
Pre-Depends:
 dpkg (>= 1.15.7.2)
Depends:
 python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends}
Recommends:
 aria2 | wget | curl,
 ca-certificates,
 ffmpeg | libav-tools,
 mpv | mplayer,
 rtmpdump
Description: downloader of videos from YouTube and other sites
 youtube-dl is a small command-line program to download videos from
 YouTube.com and other sites that don't provide direct links to the
 videos served.
 .
 youtube-dl allows the user, among other things, to choose a specific video
 quality to download (if available) or let the program automatically
 determine the best (or worst) quality video to grab. It supports
 downloading entire playlists and all videos from a given user.
 .
 Currently supported sites (or features of sites) are:
 .
 1tv,
 1up.com,
 20min,
 220.ro,
 22tracks:genre,
 22tracks:track,
 24video,
 3qsdn,
 3sat,
 4tube,
 56.com,
 5min,
 8tracks,
 91porn,
 9c9media,
 9c9media:stack,
 9gag,
 9now.com.au,
 abc.net.au,
 abc.net.au:iview,
 abcnews,
 abcnews:video,
 abcotvs,
 abcotvs:clips,
 AcademicEarth:Course,
 acast,
 acast:channel,
 AddAnime,
 AdobeTV,
 AdobeTVChannel,
 AdobeTVShow,
 AdobeTVVideo,
 AdultSwim,
 aenetworks,
 afreecatv,
 afreecatv:global,
 AirMozilla,
 AlJazeera,
 Allocine,
 AlphaPorno,
 AMCNetworks,
 anderetijden,
 AnimeOnDemand,
 anitube.se,
 AnySex,
 Aparat,
 AppleConnect,
 AppleDaily,
 appletrailers,
 appletrailers:section,
 archive.org,
 ARD,
 ARD:mediathek,
 Arkena,
 arte.tv,
 arte.tv:+7,
 arte.tv:cinema,
 arte.tv:concert,
 arte.tv:creative,
 arte.tv:ddc,
 arte.tv:embed,
 arte.tv:future,
 arte.tv:info,
 arte.tv:magazine,
 arte.tv:playlist,
 AtresPlayer,
 ATTTechChannel,
 AudiMedia,
 AudioBoom,
 audiomack,
 audiomack:album,
 auroravid,
 AWAAN,
 awaan:live,
 awaan:season,
 awaan:video,
 AZMedien,
 AZMedienPlaylist,
 Azubu,
 AzubuLive,
 BaiduVideo,
 bambuser,
 bambuser:channel,
 Bandcamp,
 Bandcamp:album,
 bangumi.bilibili.com,
 bbc,
 bbc.co.uk,
 bbc.co.uk:article,
 bbc.co.uk:iplayer:playlist,
 bbc.co.uk:playlist,
 Beam:live,
 Beatport,
 Beeg,
 BehindKink,
 BellMedia,
 Bet,
 Bigflix,
 Bild,
 BiliBili,
 BioBioChileTV,
 BIQLE,
 BleacherReport,
 BleacherReportCMS,
 blinkx,
 Bloomberg,
 BokeCC,
 Bpb,
 BR,
 BravoTV,
 Break,
 brightcove:legacy,
 brightcove:new,
 bt:article,
 bt:vestlendingen,
 BuzzFeed,
 BYUtv,
 BYUtvEvent,
 Camdemy,
 CamdemyFolder,
 CamWithHer,
 canalc2.tv,
 Canalplus,
 Canvas,
 CarambaTV,
 CarambaTVPage,
 CartoonNetwork,
 cbc.ca,
 cbc.ca:player,
 cbc.ca:watch,
 cbc.ca:watch:video,
 CBS,
 CBSInteractive,
 CBSLocal,
 cbsnews,
 cbsnews:livevideo,
 CBSSports,
 CCMA,
 CCTV,
 CDA,
 CeskaTelevize,
 channel9,
 CharlieRose,
 Chaturbate,
 Chilloutzone,
 chirbit,
 chirbit:profile,
 Cinchcast,
 Clipfish,
 cliphunter,
 ClipRs,
 Clipsyndicate,
 CloserToTruth,
 cloudtime,
 Cloudy,
 Clubic,
 Clyp,
 cmt.com,
 CNBC,
 CNN,
 CNNArticle,
 CNNBlogs,
 CollegeRama,
 ComCarCoff,
 ComedyCentral,
 ComedyCentralFullEpisodes,
 ComedyCentralShortname,
 ComedyCentralTV,
 CommonMistakes,
 CondeNast,
 Coub,
 Cracked,
 Crackle,
 Criterion,
 CrooksAndLiars,
 Crunchyroll,
 crunchyroll:playlist,
 CSNNE,
 CSpan,
 CtsNews,
 CTVNews,
 culturebox.francetvinfo.fr,
 CultureUnplugged,
 curiositystream,
 curiositystream:collection,
 CWTV,
 DailyMail,
 dailymotion,
 dailymotion:playlist,
 dailymotion:user,
 DailymotionCloud,
 daum.net,
 daum.net:clip,
 daum.net:playlist,
 daum.net:user,
 DBTV,
 DctpTv,
 DeezerPlaylist,
 defense.gouv.fr,
 democracynow,
 DHM,
 DigitallySpeaking,
 Digiteka,
 Discovery,
 DiscoveryGo,
 Disney,
 Dotsub,
 DouyuTV,
 DPlay,
 dramafever,
 dramafever:series,
 DRBonanza,
 Dropbox,
 DrTuber,
 drtv,
 drtv:live,
 Dumpert,
 dvtv,
 dw,
 dw:article,
 EaglePlatform,
 EbaumsWorld,
 EchoMsk,
 egghead:course,
 eHow,
 Einthusan,
 eitb.tv,
 EllenTV,
 EllenTV:clips,
 ElPais,
 Embedly,
 EMPFlix,
 Engadget,
 Eporner,
 EroProfile,
 Escapist,
 ESPN,
 ESPNArticle,
 EsriVideo,
 Europa,
 EveryonesMixtape,
 ExpoTV,
 ExtremeTube,
 EyedoTV,
 facebook,
 FacebookPluginsVideo,
 faz.net,
 fc2,
 fc2:embed,
 Fczenit,
 fernsehkritik.tv,
 filmon,
 filmon:channel,
 Firstpost,
 FiveTV,
 Flickr,
 Flipagram,
 Folketinget,
 FootyRoom,
 Formula1,
 FOX,
 FOX9,
 Foxgay,
 foxnews,
 foxnews:article,
 foxnews:insider,
 FoxSports,
 france2.fr:generation-quoi,
 FranceCulture,
 FranceInter,
 francetv,
 francetvinfo.fr,
 Freesound,
 freespeech.org,
 Funimation,
 FunnyOrDie,
 Fusion,
 FXNetworks,
 GameInformer,
 GameOne,
 gameone:playlist,
 Gamersyde,
 GameSpot,
 GameStar,
 Gaskrank,
 Gazeta,
 GDCVault,
 generic,
 Gfycat,
 GiantBomb,
 Giga,
 Glide,
 Globo,
 GloboArticle,
 Go,
 GodTube,
 GodTV,
 Golem,
 GoogleDrive,
 Goshgay,
 GPUTechConf,
 Groupon,
 Hark,
 HBO,
 HBOEpisode,
 HearThisAt,
 Heise,
 HellPorno,
 Helsinki,
 HentaiStigma,
 HGTV,
 hgtv.com:show,
 HistoricFilms,
 history:topic,
 hitbox,
 hitbox:live,
 HitRecord,
 HornBunny,
 HotNewHipHop,
 HotStar,
 Howcast,
 HowStuffWorks,
 HRTi,
 HRTiPlaylist,
 Huajiao,
 HuffPost,
 Hypem,
 Iconosquare,
 ign.com,
 imdb,
 imdb:list,
 Imgur,
 ImgurAlbum,
 Ina,
 Inc,
 Indavideo,
 IndavideoEmbed,
 InfoQ,
 Instagram,
 instagram:user,
 InternetVideoArchive,
 IPrima,
 iqiyi,
 Ir90Tv,
 ITV,
 ivi,
 ivi:compilation,
 ivideon,
 Iwara,
 Izlesene,
 Jamendo,
 JamendoAlbum,
 JeuxVideo,
 Jove,
 jpopsuki.tv,
 JWPlatform,
 Kaltura,
 Kamcord,
 KanalPlay,
 Kankan,
 Karaoketv,
 KarriereVideos,
 keek,
 KeezMovies,
 Ketnet,
 KhanAcademy,
 KickStarter,
 KonserthusetPlay,
 kontrtube,
 KrasView,
 Ku6,
 KUSI,
 kuwo:album,
 kuwo:category,
 kuwo:chart,
 kuwo:mv,
 kuwo:singer,
 kuwo:song,
 la7.it,
 laola1tv,
 laola1tv:embed,
 LCI,
 Lcp,
 LcpPlay,
 Le,
 Learnr,
 Lecture2Go,
 LEGO,
 Lemonde,
 LePlaylist,
 LetvCloud,
 Libsyn,
 life,
 life:embed,
 limelight,
 limelight:channel,
 limelight:channel_list,
 LiTV,
 LiveLeak,
 livestream,
 livestream:original,
 livestream:shortener,
 LnkGo,
 loc,
 LocalNews8,
 LoveHomePorn,
 lrt.lt,
 lynda,
 lynda:course,
 m6,
 macgamestore,
 mailru,
 MakersChannel,
 MakerTV,
 mangomolo:live,
 mangomolo:video,
 MatchTV,
 MDR,
 media.ccc.de,
 Meipai,
 MelonVOD,
 META,
 metacafe,
 Metacritic,
 Mgoon,
 MGTV,
 MiaoPai,
 Minhateca,
 MinistryGrid,
 Minoto,
 miomio.tv,
 MiTele,
 mixcloud,
 mixcloud:playlist,
 mixcloud:stream,
 mixcloud:user,
 MLB,
 Mms,
 Mnet,
 MoeVideo,
 Mofosex,
 Mojvideo,
 Moniker,
 Morningstar,
 Motherless,
 Motorsport,
 MovieClips,
 MovieFap,
 Moviezine,
 MovingImage,
 MPORA,
 MSN,
 mtg,
 mtv,
 mtv.de,
 mtv81,
 mtv:video,
 mtvservices:embedded,
 MuenchenTV,
 MusicPlayOn,
 mva,
 mva:course,
 Mwave,
 MwaveMeetGreet,
 MySpace,
 MySpace:album,
 MySpass,
 Myvi,
 myvideo (CURRENTLY BROKEN),
 MyVidster,
 n-tv.de,
 natgeo,
 natgeo:episodeguide,
 natgeo:video,
 Naver,
 NBA,
 NBC,
 NBCNews,
 NBCOlympics,
 NBCSports,
 NBCSportsVPlayer,
 ndr,
 ndr:embed,
 ndr:embed:base,
 NDTV,
 NerdCubedFeed,
 netease:album,
 netease:djradio,
 netease:mv,
 netease:playlist,
 netease:program,
 netease:singer,
 netease:song,
 Netzkino,
 Newgrounds,
 Newstube,
 NextMedia,
 NextMediaActionNews,
 NextTV,
 nfb,
 nfl.com,
 NhkVod,
 nhl.com,
 nhl.com:news,
 nhl.com:videocenter,
 nhl.com:videocenter:category,
 nick.com,
 nick.de,
 nicknight,
 niconico,
 NiconicoPlaylist,
 Nintendo,
 njoy,
 njoy:embed,
 NobelPrize,
 Noco,
 Normalboots,
 NosVideo,
 Nova,
 nowness,
 nowness:playlist,
 nowness:series,
 NowTV (CURRENTLY BROKEN),
 NowTVList,
 nowvideo,
 Noz,
 npo,
 npo.nl:live,
 npo.nl:radio,
 npo.nl:radio:fragment,
 Npr,
 NRK,
 NRKPlaylist,
 NRKSkole,
 NRKTV,
 NRKTVDirekte,
 NRKTVEpisodes,
 NRKTVSeries,
 ntv.ru,
 Nuvid,
 NYTimes,
 NYTimesArticle,
 NZZ,
 ocw.mit.edu,
 OdaTV,
 Odnoklassniki,
 OktoberfestTV,
 on.aol.com,
 OnDemandKorea,
 onet.tv,
 onet.tv:channel,
 OnionStudios,
 Ooyala,
 OoyalaExternal,
 Openload,
 OraTV,
 orf:fm4,
 orf:iptv,
 orf:oe1,
 orf:tvthek,
 PandaTV,
 pandora.tv,
 parliamentlive.tv,
 Patreon,
 pbs,
 pcmag,
 People,
 periscope,
 periscope:user,
 PhilharmonieDeParis,
 phoenix.de,
 Photobucket,
 Piksel,
 Pinkbike,
 Pladform,
 play.fm,
 PlaysTV,
 Playtvak,
 Playvid,
 Playwire,
 pluralsight,
 pluralsight:course,
 plus.google,
 pluzz.francetv.fr,
 podomatic,
 Pokemon,
 PolskieRadio,
 PolskieRadioCategory,
 PornCom,
 PornFlip,
 PornHd,
 PornHub,
 PornHubPlaylist,
 PornHubUserVideos,
 Pornotube,
 PornoVoisines,
 PornoXO,
 PressTV,
 PrimeShareTV,
 PromptFile,
 prosiebensat1,
 Puls4,
 Pyvideo,
 qqmusic,
 qqmusic:album,
 qqmusic:playlist,
 qqmusic:singer,
 qqmusic:toplist,
 R7,
 R7Article,
 radio.de,
 radiobremen,
 radiocanada,
 RadioCanadaAudioVideo,
 radiofrance,
 RadioJavan,
 Rai,
 RaiTV,
 RBMARadio,
 RDS,
 RedTube,
 RegioTV,
 RENTV,
 RENTVArticle,
 Restudy,
 Reuters,
 ReverbNation,
 revision,
 revision3:embed,
 RICE,
 RingTV,
 RMCDecouverte,
 RockstarGames,
 RoosterTeeth,
 RottenTomatoes,
 Roxwel,
 Rozhlas,
 RTBF,
 rte,
 rte:radio,
 rtl.nl,
 RTL2,
 Rtmp,
 RTP,
 RTS,
 rtve.es:alacarta,
 rtve.es:infantil,
 rtve.es:live,
 rtve.es:television,
 RTVNH,
 Rudo,
 RUHD,
 RulePorn,
 rutube,
 rutube:channel,
 rutube:embed,
 rutube:movie,
 rutube:person,
 RUTV,
 Ruutu,
 safari,
 safari:api,
 safari:course,
 Sandia,
 Sapo,
 savefrom.net,
 SBS,
 schooltv,
 SciVee,
 screen.yahoo:search,
 Screencast,
 ScreencastOMatic,
 Seeker,
 SenateISVP,
 SendtoNews,
 ServingSys,
 Sexu,
 Shahid,
 Shared,
 ShowRoomLive,
 Sina,
 SixPlay,
 skynewsarabia:article,
 skynewsarabia:video,
 SkySports,
 Slideshare,
 Slutload,
 smotri,
 smotri:broadcast,
 smotri:community,
 smotri:user,
 Snotr,
 Sohu,
 SonyLIV,
 soundcloud,
 soundcloud:playlist,
 soundcloud:search,
 soundcloud:set,
 soundcloud:user,
 soundgasm,
 soundgasm:profile,
 southpark.cc.com,
 southpark.cc.com:español,
 southpark.de,
 southpark.nl,
 southparkstudios.dk,
 SpankBang,
 Spankwire,
 Spiegel,
 Spiegel:Article,
 Spiegeltv,
 Spike,
 Sport5,
 SportBoxEmbed,
 SportDeutschland,
 Sportschau,
 sr:mediathek,
 SRGSSR,
 SRGSSRPlay,
 stanfordoc,
 Steam,
 Stitcher,
 Streamable,
 streamcloud.eu,
 StreamCZ,
 StreetVoice,
 SunPorno,
 SVT,
 SVTPlay,
 SWRMediathek,
 Syfy,
 SztvHu,
 t-online.de,
 Tagesschau,
 tagesschau:player,
 Tass,
 TBS,
 TDSLifeway,
 teachertube,
 teachertube:user:collection,
 TeachingChannel,
 Teamcoco,
 TeamFourStar,
 TechTalks,
 techtv.mit.edu,
 ted,
 Tele13,
 TeleBruxelles,
 Telecinco,
 Telegraaf,
 TeleMB,
 TeleQuebec,
 TeleTask,
 Telewebion,
 TestURL,
 TF1,
 TFO,
 TheIntercept,
 theoperaplatform,
 ThePlatform,
 ThePlatformFeed,
 TheScene,
 TheSixtyOne,
 TheStar,
 TheWeatherChannel,
 ThisAmericanLife,
 ThisAV,
 ThisOldHouse,
 tinypic,
 tlc.de,
 TMZ,
 TMZArticle,
 TNAFlix,
 TNAFlixNetworkEmbed,
 toggle,
 Tosh,
 tou.tv,
 Toypics,
 ToypicsUser,
 TrailerAddict (CURRENTLY BROKEN),
 Trilulilu,
 TruTV,
 Tube8,
 TubiTv,
 tudou,
 tudou:album,
 tudou:playlist,
 Tumblr,
 tunein:clip,
 tunein:program,
 tunein:shortener,
 tunein:station,
 tunein:topic,
 Turbo,
 Tutv,
 tv.dfb.de,
 TV2,
 TV2Article,
 TV3,
 TV4,
 TVA,
 TVANouvelles,
 TVANouvellesArticle,
 TVC,
 TVCArticle,
 tvigle,
 tvland.com,
 TVNoe,
 tvp,
 tvp:embed,
 tvp:series,
 Tweakers,
 twitch:chapter,
 twitch:clips,
 twitch:profile,
 twitch:stream,
 twitch:video,
 twitch:videos:all,
 twitch:videos:highlights,
 twitch:videos:past-broadcasts,
 twitch:videos:uploads,
 twitch:vod,
 twitter,
 twitter:amplify,
 twitter:card,
 udemy,
 udemy:course,
 UDNEmbed,
 UKTVPlay,
 UnicodeBOM,
 Unistra,
 uol.com.br,
 uplynk,
 uplynk:preplay,
 Urort,
 URPlay,
 USANetwork,
 USAToday,
 ustream,
 ustream:channel,
 ustudio,
 ustudio:embed,
 Varzesh3,
 Vbox7,
 VeeHD,
 Veoh,
 Vessel,
 Vesti,
 Vevo,
 VevoPlaylist,
 VGTV,
 vh1.com,
 Viafree,
 Vice,
 Viceland,
 ViceShow,
 Vidbit,
 Viddler,
 Videa,

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$//,pgpsigurlmangle=s/$/.sig/" \
https://github.com/rg3/youtube-dl/releases \
     (?:.*?/)?v?youtube-dl-(\d[\d.]*)\.tar\.gz debian uupdate

## youtube-dl 2017.09.24

=== debian/changelog ===
youtube-dl (2017.09.24-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release 2017.09.24.
    + Fixes downloads from Daily Motion. Closes: #876118, #873853.

 -- Francois Marier <francois@debian.org>  Sun, 24 Sep 2017 16:07:57 -0700
